
RewriteOptions inherit

# BEGIN WordPress
<IfModule mod_rewrite.c>
RewriteEngine On
RewriteBase /
RewriteRule ^index\.php$ - [L]
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule . /index.php [L]
</IfModule>

# END WordPress
RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^blog\/?(.*)$ "http\:\/\/www\.gilisoft\.com\/offical\-blog\/$1" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^blog\/page\/usb\-encryption\/index\.html$ "http\:\/\/www\.gilisoft\.com" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^blog\/product\-usb\-stick\-encryption\.htm$ "http\:\/\/www\.gilisoft\.com" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^blog\/usb\-encryption\/index\.html$ "http\:\/\/www\.gilisoft\.com" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^blog\/product\-file\-lock\-pro\.htm$ "http\:\/\/www\.gilisoft\.com" [R=301,L]

<Files 403.shtml>
order allow,deny
allow from all
</Files>

ErrorDocument 403 http://www.gilisoft.com
ErrorDocument 404 http://www.gilisoft.com
ErrorDocument 500 http://www.gilisoft.com

SetEnvIfNoCase Referer "^http://www.jsoftj.com"  spam_ref 
SetEnvIfNoCase Referer "^http://www.download.com.vn"  spam_ref 

# block all referres that have spam_ref set

<FilesMatch "(.exe)">
Order Allow,Deny
Allow from all
Deny from env=spam_ref
</FilesMatch>

RewriteCond %{HTTP_HOST} ^gilisoft\.com$ [OR]
RewriteCond %{HTTP_HOST} ^www\.gilisoft\.com$
RewriteRule ^download\/video\-converter\-800\-cn\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/video\-converter\-cn\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^gilisoft\.com$ [OR]
RewriteCond %{HTTP_HOST} ^www\.gilisoft\.com$
RewriteRule ^download\/slideshow\-movie\-creator\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/slideshow\-movie\-creator\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^gilisoft\.com$ [OR]
RewriteCond %{HTTP_HOST} ^www\.gilisoft\.com$
RewriteRule ^download\/dvd\-ripper\-free\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/dvd\-ripper\-free\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/dvd\-ripper\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/dvd\-ripper\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/secure\-disc\-creator\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/secure\-disc\-creator\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/usb\-stick\-encryption\.exe\ $ "http\:\/\/download\.gilisoft\.com\/gs\/usb\-stick\-encryption\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/free\-disk\-cleaner\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/free\-disk\-cleaner2013\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/private\-disk50\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/private\-disk\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/video\-editor\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/video\-editor\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/file\-lock\-pro\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/file\-lock\-pro\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/file\-lock\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/file\-lock\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/video\-converter\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/video\-converter\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/video\-splitter22\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/video\-editor\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/file\-lock65\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/file\-lock\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/audio\-recorder\-free\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/audio\-recorder\-free\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/usb\-lock\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/usb\-lock\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/video\-joiner22\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/video\-editor\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/full\-disk\-encryption\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/full\-disk\-encryption\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/movie\-dvd\-creator\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/movie\-dvd\-creator\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/screen\-recorder32\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/screen\-recorder\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/privacy\-protector40\.exe$ "http\:\/\/www\.gilisoft\.com\/download\/privacy\-protector\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/usb\-stick\-encryption35\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/usb\-stick\-encryption\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/video\-cutter22\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/video\-editor\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/file\-lock62\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/file\-lock\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/file\-lock\-pro\-demo51\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/file\-lock\-pro\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/usb\-lock30\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/usb\-lock\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/audio\-recorder\-pro\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/audio\-recorder\-pro\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/screen\-recorder33\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/screen\-recorder\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/free\-disk\-cleaner\(lite\)\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/free\-disk\-cleaner2013\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/file\-lock\-pro63\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/file\-lock\-pro\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/full\-disk\-encryption26\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/full\-disk\-encryption\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/usb\-stick\-encryption30\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/usb\-stick\-encryption\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/file\-lock\-demo51\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/file\-lock\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/VideoRecorder\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/screen\-recorder\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/privacy\-protector41\.exe$ "http\:\/\/www\.gilisoft\.com\/download\/privacy\-protector\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/secure\-disc\-creator50\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/secure\-disc\-creator\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/secure\-disc\-creator46\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/secure\-disc\-creator\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/RAMDisk330\.exe$ "http\:\/\/www\.gilisoft\.com\/download\/ram\-disk\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/file\-lock\-pro62\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/file\-lock\-pro\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/private\-disk45\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/private\-disk\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/file\-lock\-pro66\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/file\-lock\-pro\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/file\-lock\-pro60\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/file\-lock\-pro\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/exe\-lock22\.exe$ "http\:\/\/www\.gilisoft\.com\/download\/exe\-lock30\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/file\-lock\-pro65\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/file\-lock\-pro\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/usb\-lock16\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/usb\-lock\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/file\-lock36\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/file\-lock\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/file\-lock\-pro51\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/file\-lock\-pro\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^gilisoft\.com$ [OR]
RewriteCond %{HTTP_HOST} ^www\.gilisoft\.com$
RewriteRule ^download\/usb\-stick\-encryption\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/usb\-stick\-encryption\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^gilisoft\.com$ [OR]
RewriteCond %{HTTP_HOST} ^www\.gilisoft\.com$
RewriteRule ^download\/ram\-disk\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/ram\-disk\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^gilisoft\.com$ [OR]
RewriteCond %{HTTP_HOST} ^www\.gilisoft\.com$
RewriteRule ^download\/ram\-disk47\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/ram\-disk\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^gilisoft\.com$ [OR]
RewriteCond %{HTTP_HOST} ^www\.gilisoft\.com$
RewriteRule ^download\/file\-lock63\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/file\-lock\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^gilisoft\.com$ [OR]
RewriteCond %{HTTP_HOST} ^www\.gilisoft\.com$
RewriteRule ^download\/full\-disk\-encryption27\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/full\-disk\-encryption\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^.*$
RewriteRule ^download\/full\-disk\-encryption25\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/full\-disk\-encryption\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^gilisoft\.com$ [OR]
RewriteCond %{HTTP_HOST} ^www\.gilisoft\.com$
RewriteRule ^download\/exe\-lock25\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/exe\-lock\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^gilisoft\.com$ [OR]
RewriteCond %{HTTP_HOST} ^www\.gilisoft\.com$
RewriteRule ^download\/usb\-lock21\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/usb\-lock\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^gilisoft\.com$ [OR]
RewriteCond %{HTTP_HOST} ^www\.gilisoft\.com$
RewriteRule ^taobao\/download\/ram\-disk40\-cn\.exe$ "http\:\/\/download\.gilisoft\.com\/chinaseller\/ram\-disk\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^gilisoft\.com$ [OR]
RewriteCond %{HTTP_HOST} ^www\.gilisoft\.com$
RewriteRule ^download\/file\-lock\-pro641\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/file\-lock\-pro\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^gilisoft\.com$ [OR]
RewriteCond %{HTTP_HOST} ^www\.gilisoft\.com$
RewriteRule ^download\/file\-lock61\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/file\-lock\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^gilisoft\.com$ [OR]
RewriteCond %{HTTP_HOST} ^www\.gilisoft\.com$
RewriteRule ^download\/privacy\-protector\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/privacy\-protector\.exe" [R=301,L]

RewriteCond %{HTTP_HOST} ^gilisoft\.com$ [OR]
RewriteCond %{HTTP_HOST} ^www\.gilisoft\.com$
RewriteRule ^download\/dvd\-css\-region\-decryption\.exe$ "http\:\/\/download\.gilisoft\.com\/gs\/dvd\-css\-region\-decryption\.exe" [R=301,L]

